<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:08 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Ucm_componentsFactory (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Ucm_componentsFactory (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ucm_componentsFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/TechnicalPolicy.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html" target="_top">Frames</a></li>
<li><a href="Ucm_componentsFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components</div>
<h2 title="Interface Ucm_componentsFactory" class="title">Interface Ucm_componentsFactory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/Ucm_componentsFactoryImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">Ucm_componentsFactoryImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Ucm_componentsFactory</span>
extends org.eclipse.emf.ecore.EFactory</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Factory</b> for the model.
 It provides a create method for each non-abstract class of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components"><code>Ucm_componentsPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Ucm_componentsFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AbstractTypeBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AbstractTypeBinding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createAbstractTypeBinding--">createAbstractTypeBinding</a></span>()</code>
<div class="block">Returns a new object of class '<em>Abstract Type Binding</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AssemblyPart.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AssemblyPart</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createAssemblyPart--">createAssemblyPart</a></span>()</code>
<div class="block">Returns a new object of class '<em>Assembly Part</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AtomicComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AtomicComponentImplementation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createAtomicComponentImplementation--">createAtomicComponentImplementation</a></span>()</code>
<div class="block">Returns a new object of class '<em>Atomic Component Implementation</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ComponentModule.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ComponentModule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createComponentModule--">createComponentModule</a></span>()</code>
<div class="block">Returns a new object of class '<em>Component Module</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ComponentType.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ComponentType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createComponentType--">createComponentType</a></span>()</code>
<div class="block">Returns a new object of class '<em>Component Type</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/CompositeComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">CompositeComponentImplementation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createCompositeComponentImplementation--">createCompositeComponentImplementation</a></span>()</code>
<div class="block">Returns a new object of class '<em>Composite Component Implementation</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Connection.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Connection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createConnection--">createConnection</a></span>()</code>
<div class="block">Returns a new object of class '<em>Connection</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ConnectionLink.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ConnectionLink</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createConnectionLink--">createConnectionLink</a></span>()</code>
<div class="block">Returns a new object of class '<em>Connection Link</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/InteractionItemBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">InteractionItemBinding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createInteractionItemBinding--">createInteractionItemBinding</a></span>()</code>
<div class="block">Returns a new object of class '<em>Interaction Item Binding</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortRoleSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortRoleSpec</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createPortRoleSpec--">createPortRoleSpec</a></span>()</code>
<div class="block">Returns a new object of class '<em>Port Role Spec</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createPortTypeSpec--">createPortTypeSpec</a></span>()</code>
<div class="block">Returns a new object of class '<em>Port Type Spec</em>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/TechnicalPolicy.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">TechnicalPolicy</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#createTechnicalPolicy--">createTechnicalPolicy</a></span>()</code>
<div class="block">Returns a new object of class '<em>Technical Policy</em>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Ucm_componentsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html#getUcm_componentsPackage--">getUcm_componentsPackage</a></span>()</code>
<div class="block">Returns the package supported by this factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EFactory</h3>
<code>convertToString, create, createFromString, getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Ucm_componentsFactory</a> eINSTANCE</pre>
<div class="block">The singleton instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createInteractionItemBinding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInteractionItemBinding</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/InteractionItemBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">InteractionItemBinding</a>&nbsp;createInteractionItemBinding()</pre>
<div class="block">Returns a new object of class '<em>Interaction Item Binding</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Interaction Item Binding</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPortRoleSpec--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPortRoleSpec</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortRoleSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortRoleSpec</a>&nbsp;createPortRoleSpec()</pre>
<div class="block">Returns a new object of class '<em>Port Role Spec</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Port Role Spec</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPortTypeSpec--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPortTypeSpec</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a>&nbsp;createPortTypeSpec()</pre>
<div class="block">Returns a new object of class '<em>Port Type Spec</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Port Type Spec</em>'.</dd>
</dl>
</li>
</ul>
<a name="createConnection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConnection</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Connection.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Connection</a>&nbsp;createConnection()</pre>
<div class="block">Returns a new object of class '<em>Connection</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Connection</em>'.</dd>
</dl>
</li>
</ul>
<a name="createConnectionLink--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConnectionLink</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ConnectionLink.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ConnectionLink</a>&nbsp;createConnectionLink()</pre>
<div class="block">Returns a new object of class '<em>Connection Link</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Connection Link</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTechnicalPolicy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTechnicalPolicy</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/TechnicalPolicy.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">TechnicalPolicy</a>&nbsp;createTechnicalPolicy()</pre>
<div class="block">Returns a new object of class '<em>Technical Policy</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Technical Policy</em>'.</dd>
</dl>
</li>
</ul>
<a name="createAtomicComponentImplementation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAtomicComponentImplementation</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AtomicComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AtomicComponentImplementation</a>&nbsp;createAtomicComponentImplementation()</pre>
<div class="block">Returns a new object of class '<em>Atomic Component Implementation</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Atomic Component Implementation</em>'.</dd>
</dl>
</li>
</ul>
<a name="createComponentType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createComponentType</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ComponentType.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ComponentType</a>&nbsp;createComponentType()</pre>
<div class="block">Returns a new object of class '<em>Component Type</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Component Type</em>'.</dd>
</dl>
</li>
</ul>
<a name="createCompositeComponentImplementation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCompositeComponentImplementation</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/CompositeComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">CompositeComponentImplementation</a>&nbsp;createCompositeComponentImplementation()</pre>
<div class="block">Returns a new object of class '<em>Composite Component Implementation</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Composite Component Implementation</em>'.</dd>
</dl>
</li>
</ul>
<a name="createAssemblyPart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAssemblyPart</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AssemblyPart.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AssemblyPart</a>&nbsp;createAssemblyPart()</pre>
<div class="block">Returns a new object of class '<em>Assembly Part</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Assembly Part</em>'.</dd>
</dl>
</li>
</ul>
<a name="createAbstractTypeBinding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAbstractTypeBinding</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AbstractTypeBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AbstractTypeBinding</a>&nbsp;createAbstractTypeBinding()</pre>
<div class="block">Returns a new object of class '<em>Abstract Type Binding</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Abstract Type Binding</em>'.</dd>
</dl>
</li>
</ul>
<a name="createComponentModule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createComponentModule</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ComponentModule.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ComponentModule</a>&nbsp;createComponentModule()</pre>
<div class="block">Returns a new object of class '<em>Component Module</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Component Module</em>'.</dd>
</dl>
</li>
</ul>
<a name="getUcm_componentsPackage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getUcm_componentsPackage</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Ucm_componentsPackage</a>&nbsp;getUcm_componentsPackage()</pre>
<div class="block">Returns the package supported by this factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package supported by this factory.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ucm_componentsFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/TechnicalPolicy.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html" target="_top">Frames</a></li>
<li><a href="Ucm_componentsFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
